function H9g(a,b,d,e){RFd.call(this,a,b,d);this.a=e}
function O9g(){var a;a=new jrg(5);Nr((Ufd(),a.gb),false);return a}
function mgh(a){var b;if(!a.g){b=new P9g((T0i(yde(a.a)),Rnj(Ade(a.a))));a.g=b}return a.g}
function lgh(a){var b;if(!a.f){b=new H9g(_Ed(Ube(a.a)),mgh(a),kgh(a),VLg(Oce(a.a)));lFd((Vbe(a.a),b),iGd(Vbe(a.a)));a.f=b}return a.f}
function P9g(){wzf.call(this,P2b,nVd((a5g(),Y4g),hM(P1c,fxj,238,[_4g])));this.a=new j5g(P2b,this);this.o="Distributed query engine, that parses, plans and excutes user's SQL commands and provides results"}
n3c(4510,1009,hyj,H9g);_.Wi=function(){this.A.Ar()};_.$i=function(){_uf(this.a,this)};n3c(4513,2870,izj,P9g);_.Bh=function(){return nzf(this)};_.xr=function(){return this.a};_.yr=function(){return g6j};_.Cr=function(){return null};_.Fr=function(){var a;a=new i3g(this,g6j,pzf(this,null),this.k,this.s);return new u3g(this,g6j,null,O9g(),a,this.s)};_.Gr=function(){return O9g()};n3c(4583,1,Pyj);_.qd=function(){JGd(this.b,lgh(this.a.a))};var J1b=DNd(4510),K1b=DNd(4513);Bzj(hp)(17);